xcb_xkb_set_names_request_t Struct Reference
XCB xkb API

xcb_xkb_set_names_request_t More...

`#include <xkb.h>`

## Data Fields

uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_xkb_device_spec_t | deviceSpec
uint16_t | virtualMods
uint32_t | which
uint8_t | firstType
uint8_t | nTypes
uint8_t | firstKTLevelt
uint8_t | nKTLevels
uint32_t | indicators
uint8_t | groupNames
uint8_t | nRadioGroups
xcb_keycode_t | firstKey
uint8_t | nKeys
uint8_t | nKeyAliases
uint8_t | pad0
uint16_t | totalKTLevelNames

## Detailed Description

xcb_xkb_set_names_request_t

The documentation for this struct was generated from the following file:

- xkb.h